package dk.brics.xact;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Schema type annotation for {@link XML} variables.
 * <p>
 * The value must be a constant or a <code>static</code> <code>final</code> field.
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface Type {
	
	/**
	 * Schema type.
	 */
	String value();
}
