package dk.brics.xact.analysis.flowgraph.statements;

/**
 * Statement visitor where all visit methods are empty by default.
 */
public class BasicStatementVisitor implements StatementVisitor {

	public void visitAnalyzeStm(AnalyzeStm s) {}

	public void visitCastStm(CastStm s) {}

	public void visitCheckStm(CheckStm s) {}

	public void visitConcatStm(ConcatStm s) {}

	public void visitConstStm(ConstStm s) {}

	public void visitCopyStm(CopyStm s) {}

	public void visitEmptyStm(EmptyStm s) {}

	public void visitGapifyStm(GapifyStm s) {}

	public void visitGetStm(GetStm s) {}

	public void visitInsertStm(InsertStm s) {}

	public void visitNodeStm(NodeStm s) {}

	public void visitNopStm(NopStm s) {}

	public void visitPlugStm(PlugStm s) {}

	public void visitRemoveStm(RemoveStm s) {}

	public void visitSetStm(SetStm s) {}

	public void visitUnknownStm(UnknownStm s) {}

	public void visitValidateStm(ValidateStm s) {}

	public void visitVarStm(VarStm s) {}

	public void visitArrayReadStm(ArrayReadStm s) {
	}

	public void visitArrayWriteStm(ArrayWriteStm s) {
	}
	public void visitArrayWriteStringStm(ArrayWriteStringStm s) {
	}

	public void visitCallStm(CallStm s) {
	}

	public void visitEscapeStm(EscapeStm s) {
	}
	
	
}
