package dk.brics.xact;

import dk.brics.misc.Origin;

/**
 * Exception thrown if XML template parsing fails.
 */
@SuppressWarnings("serial")
public class XMLTemplateException extends XMLException {

	/**
	 * Constructs a new exception.
	 */
	public XMLTemplateException(String s) {
		super(s);
	}

	/**
	 * Constructs a new exception.
	 */
	public XMLTemplateException(String s, Throwable cause) {
		super(s, cause);
	}

	/**
	 * Constructs a new exception.
	 */
	public XMLTemplateException(Throwable cause) {
		super(cause);
	}

	/**
	 * Constructs a new exception.
	 */
	public XMLTemplateException(String s, Origin origin) {
		super(s, origin);
	}

	/**
	 * Constructs a new exception.
	 */
	public XMLTemplateException(String s, Throwable cause, Origin origin) {
		super(s, cause, origin);
	}

	/**
	 * Constructs a new exception.
	 */
	public XMLTemplateException(Throwable cause, Origin origin) {
		super(cause, origin);
	}
}
