package dk.brics.xact.analysis;

import dk.brics.misc.Origin;
import dk.brics.xact.XMLException;

/**
 * Exception thrown if analysis fails.
 */
@SuppressWarnings("serial")
public class XMLAnalysisException extends XMLException {

	/**
	 * Constructs a new exception.
	 */
	public XMLAnalysisException(String s) {
		super(s);
	}

	/**
	 * Constructs a new exception.
	 */
	public XMLAnalysisException(String s, Origin origin) {
		super(s, origin);
	}
	
	/**
	 * Constructs a new exception.
	 */
	public XMLAnalysisException(Throwable cause, Origin origin) {
		super(cause, origin);
	}
}
