package dk.brics.xact.analysis.xmlgraph;

import java.io.Serializable;

import dk.brics.xmlgraph.XMLGraph;

/**
 * Pair of two XML graphs.
 */
public final class XMLGraphPair implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private XMLGraph g1, g2;

	public XMLGraphPair(XMLGraph g1, XMLGraph g2) {
		this.g1 = g1;
		this.g2 = g2;
	}

	public XMLGraph getG1() {
		return g1;
	}

	public void setG1(XMLGraph g1) {
		this.g1 = g1;
	}

	public XMLGraph getG2() {
		return g2;
	}

	public void setG2(XMLGraph g2) {
		this.g2 = g2;
	}
}
